import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/manualtask/` + url, ...arg)

/**
 * 手工任务单Api接口管理器
 *
 * @author Luck
 * @date  2024/08/06 16:54
 **/
export default {
	// 获取手工任务单分页
	manualTaskPage(data) {
		return request('page', data, 'get')
	},
	// 获取手工任务单【详情】分页
	manualTaskDetailPage(data) {
		return request('/detail/page', data, 'get')
	},
	// 提交手工任务单表单 edit为true时为编辑，默认为新增
	manualTaskSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 提交 保存任务单 标签、备注信息
	manualTaskSaveTag(data) {
		return request('saveTag', data)
	},
	// 删除手工任务单
	manualTaskDelete(data) {
		return request('delete', data)
	},
	// 获取手工任务单详情
	manualTaskDetail(data) {
		return request('detail', data, 'get')
	}
}
