import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/manualtaskdetail/` + url, ...arg)

/**
 * 手工任务单详情Api接口管理器
 *
 * @author Luck
 * @date  2024/08/06 17:10
 **/
export default {
	// 获取手工任务单详情分页
	manualTaskDetailPage(data) {
		return request('page', data, 'get')
	},
	// 提交手工任务单详情表单 edit为true时为编辑，默认为新增
	manualTaskDetailSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除手工任务单详情
	manualTaskDetailDelete(data) {
		return request('delete', data)
	},
	// 获取手工任务单详情详情
	manualTaskDetailDetail(data) {
		return request('detail', data, 'get')
	}
}
