import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/manualtasktag/` + url, ...arg)

/**
 * 手工任务单标签Api接口管理器
 *
 * @author Luck
 * @date  2024/08/06 18:28
 **/
export default {
	// 获取手工任务单标签分页
	manualTaskTagPage(data) {
		return request('page', data, 'get')
	},
	// 获取手工任务单标签 列表
	manualTaskTagList(data) {
		return request('list', data, 'get')
	},
	// 提交手工任务单标签表单 edit为true时为编辑，默认为新增
	manualTaskTagSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除手工任务单标签
	manualTaskTagDelete(data) {
		return request('delete', data)
	},
	// 获取手工任务单标签详情
	manualTaskTagDetail(data) {
		return request('detail', data, 'get')
	}
}
