import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/supplier/` + url, ...arg)

/**
 * 供应商Api接口管理器
 *
 * @author Luck
 * @date  2024/09/13 22:24
 **/
export default {
	// 获取供应商分页
	supplierPage(data) {
		return request('page', data, 'get')
	},
	// 提交供应商表单 edit为true时为编辑，默认为新增
	supplierSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除供应商
	supplierDelete(data) {
		return request('delete', data)
	},
	// 获取供应商详情
	supplierDetail(data) {
		return request('detail', data, 'get')
	}
}
