import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/supplierCategory/` + url, ...arg)

/**
 * 供应商分类Api接口管理器
 *
 * @author Luck
 * @date  2024/09/13 22:18
 **/
export default {
	// 获取供应商分类分页
	supplierCategoryPage(data) {
		return request('page', data, 'get')
	},
	// 获取树结构
	supplierCategoryTree(data) {
		return request('tree', data, 'get')
	},
	// 提交供应商分类表单 edit为true时为编辑，默认为新增
	supplierCategorySubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除供应商分类
	supplierCategoryDelete(data) {
		return request('delete', data)
	},
	// 获取供应商分类详情
	supplierCategoryDetail(data) {
		return request('detail', data, 'get')
	}
}
