import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/tag/` + url, ...arg)

/**
 * 生产标签Api接口管理器
 *
 * @author Luck
 * @date  2024/08/07 22:07
 **/
export default {
	// 获取生产标签分页
	produceTagPage(data) {
		return request('page', data, 'get')
	},
	// 获取生产标签 列表
	produceTagList(data) {
		return request('list', data, 'get')
	},
	// 提交生产标签表单 edit为true时为编辑，默认为新增
	produceTagSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除生产标签
	produceTagDelete(data) {
		return request('delete', data)
	},
	// 获取生产标签详情
	produceTagDetail(data) {
		return request('detail', data, 'get')
	}
}
