import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/inventory/inbound/` + url, ...arg)
/**
 * 入库单Api接口管理器
 *
 * @author Luck
 * @date  2024/09/13 22:39
 **/
export default {
	// 获取入库单分页
	inventoryInboundPage(data) {
		return request('page', data, 'get')
	},
	// 获取入库单 明细列表
	inventoryInboundDetailList(data) {
		return request('detail/list', data, 'get')
	},
	// 获取入库单 条码列表
	inventoryInboundBarcodeTree(data) {
		return request('barcode/tree/list', data, 'get')
	},
	// 获取入库单 条码（子级）列表
	inventoryInboundBarcodeTreeChildren(data) {
		return request('barcode/tree/childrenList', data, 'get')
	},
	// 获取入库单详情
	inventoryInboundDetail(data) {
		return request('detail', data, 'get')
	}
}
