import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/inventory/invoice/` + url, ...arg)

/**
 * 发货通知单Api接口管理器
 *
 * @author Luck
 * @date  2024/09/23 20:53
 **/
export default {
	// 获取发货通知单分页
	inventoryInvoicePage(data) {
		return request('page', data, 'get')
	},
	// 提交发货通知单表单 edit为true时为编辑，默认为新增
	inventoryInvoiceSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除发货通知单
	inventoryInvoiceDelete(data) {
		return request('delete', data)
	},
	// 获取发货通知单详情
	inventoryInvoiceDetail(data) {
		return request('detail', data, 'get')
	},
	// 审核发货单 通过
	inventoryInvoiceAuditPass(data, edit = false) {
		return request('audit/pass', data)
	},
	// 获取发货通知单明细列表
	inventoryInvoiceDetailList(data) {
		return request('detail/list', data, 'get')
	},
}
