import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/inventory/outbound/` + url, ...arg)

/**
 * 出库单Api接口管理器
 *
 * @author Luck
 * @date  2024/10/18 22:35
 **/
export default {
	// 获取出库单分页
	inventoryOutboundPage(data) {
		return request('page', data, 'get')
	},
	// 获取出库单明细信息列表
	inventoryOutboundDetailList(data) {
		return request('detail/list', data, 'get')
	},
	// 获取出库单 条码列表
	inventoryOutboundBarcodeTree(data) {
		return request('barcode/tree/list', data, 'get')
	},
	// 获取出库单 条码（子级）列表
	inventoryOutboundBarcodeTreeChildren(data) {
		return request('barcode/tree/childrenList', data, 'get')
	},
	// 删除出库单
	inventoryOutboundDelete(data) {
		return request('delete', data)
	},
	// 获取出库单详情
	inventoryOutboundDetail(data) {
		return request('detail', data, 'get')
	}
}
