import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/print/template/` + url, ...arg)

/**
 * 打印模板Api接口管理器
 *
 * @author luojun
 * @date  2024/08/24 15:26
 **/
export default {
	// 获取打印模板分页
	printTemplatePage(data) {
		return request('page', data, 'get')
	},
	// 获取打印模板列表
	printTemplateList(data) {
		return request('list', data, 'get')
	},
	// 提交打印模板表单 edit为true时为编辑，默认为新增
	printTemplateSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除打印模板
	printTemplateDelete(data) {
		return request('delete', data)
	},
	// 获取打印模板详情
	printTemplateDetail(data) {
		return request('detail', data, 'get')
	},

}
