import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/print/records/` + url, ...arg)

/**
 * 标签打印记录Api接口管理器
 *
 * @author luojun
 * @date  2024/09/16 14:49
 **/
export default {
	// 获取标签打印记录分页
	printRecordsPage(data) {
		return request('page', data, 'get')
	},
	// 提交标签打印记录表单 edit为true时为编辑，默认为新增
	printRecordsSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除标签打印记录
	printRecordsDelete(data) {
		return request('delete', data)
	},
	// 获取标签打印记录详情
	printRecordsDetail(data) {
		return request('detail', data, 'get')
	},
	// 打印标签并保存打印记录
	printRecordsPrint(data) {
		return request('print', data, 'post')
	},
	// 更具标签打印记录 id
	printTemplateGetProductCode(data) {
		return request('getProductCode', data, 'post')
	},
}
