import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/barcode/` + url, ...arg)

/**
 * 生产产品包装条码Api接口管理器
 *
 * @author Luck
 * @date  2024/08/16 14:50
 **/
export default {
	// 获取生产产品包装条码分页
	producePackageBarcodePage(data) {
		return request('page', data, 'get')
	},
	// 根据汇报单明细 获取条码树结构
	produceReportDetailTree(data) {
		return request('reportDetail/tree', data, 'get')
	},
	// 提交生产产品包装条码表单 edit为true时为编辑，默认为新增
	producePackageBarcodeSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除生产产品包装条码
	producePackageBarcodeDelete(data) {
		return request('delete', data)
	},
	// 获取生产产品包装条码详情
	producePackageBarcodeDetail(data) {
		return request('detail', data, 'get')
	},
	producePackageBarcodeTreeList(data) {
		return request('tree/list', data, 'get')
	},
	producePackageBarcodeTreeChildrenList(data) {
		return request('tree/childrenList', data, 'get')
	},

}
