import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/report/` + url, ...arg)

/**
 * 生产汇报单Api接口管理器
 *
 * @author Luck
 * @date  2024/08/16 13:50
 **/
export default {
	// 获取生产汇报单分页
	produceReportPage(data) {
		return request('page', data, 'get')
	},
	// 提交生产汇报单表单 edit为true时为编辑，默认为新增
	produceReportSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除生产汇报单
	produceReportDelete(data) {
		return request('delete', data)
	},
	// 获取生产汇报单详情
	produceReportDetail(data) {
		return request('detail', data, 'get')
	},
	// 产品包装条码 树
	produceReportTreeList(data) {
		return request('barcode/tree/list', data, 'get')
	},

	// 产品包装条码 树 子级
	produceReportTreeChildrenList(data) {
		return request('barcode/tree/childrenList', data, 'get')
	}
}
