import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/reportDetail/` + url, ...arg)

/**
 * 生产汇报单明细Api接口管理器
 *
 * @author Luck
 * @date  2024/08/17 21:38
 **/
export default {
	// 获取生产汇报单明细分页
	produceReportDetailPage(data) {
		return request('list', data, 'get')
	},
	// 提交生产汇报单明细表单 edit为true时为编辑，默认为新增
	produceReportDetailSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除生产汇报单明细
	produceReportDetailDelete(data) {
		return request('delete', data)
	},
	// 获取生产汇报单明细详情
	produceReportDetailDetail(data) {
		return request('detail', data, 'get')
	}
}
