import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/task/` + url, ...arg)

/**
 * 生产任务单Api接口管理器
 *
 * @author Luck
 * @date  2024/08/06 10:39
 **/
export default {
	// 获取生产任务单分页
	produceTaskPage(data) {
		return request('page', data, 'get')
	},
	// 提交生产任务单表单 edit为true时为编辑，默认为新增
	produceTaskSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除生产任务单
	produceTaskDelete(data) {
		return request('delete', data)
	},
	// 获取生产任务单详情
	produceTaskDetail(data) {
		return request('detail', data, 'get')
	},
	// 审核任务单
	produceTaskAuditPass(data) {
		return request('audit/pass', data, 'post')
	},
	// 回退任务单
	produceTaskAudiTask(data) {
		return request('audit/back', data, 'post')
	}
}
