import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/productcode/producerecords/` + url, ...arg)

/**
 * 产品条码历史记录Api接口管理器
 *
 * @author Luck
 * @date  2024/09/15 13:56
 **/
export default {
	// 获取产品条码历史记录分页
	produceBarcodeHistoryPage(data) {
		return request('page', data, 'get')
	},
	// 获取产品条码历史记录列表
	produceBarcodeHistoryList(data) {
		return request('list', data, 'get')
	},
	// 提交产品条码历史记录表单 edit为true时为编辑，默认为新增
	produceBarcodeHistorySubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除产品条码历史记录
	produceBarcodeHistoryDelete(data) {
		return request('delete', data)
	},
	// 获取产品条码历史记录详情
	produceBarcodeHistoryDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取产品条码历史记录详情
	produceBarcodeHistoryAgainExport(data) {
		return request('againExport', data, 'get', {
			responseType: 'blob'
		})
	}
}
