import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/productcode/config/` + url, ...arg)

/**
 * 产码配置Api接口管理器
 *
 * @author luojun
 * @date  2024/08/31 17:15
 **/
export default {
	// 获取产码配置分页
	productCodeConfigPage(data) {
		return request('page', data, 'get')
	},
	// 获取产码配置列表
	productCodeConfigList(data) {
		return request('list', data, 'get')
	},
	// 提交产码配置表单 edit为true时为编辑，默认为新增
	productCodeConfigSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除产码配置
	productCodeConfigDelete(data) {
		return request('delete', data)
	},
	// 获取产码配置详情
	productCodeConfigDetail(data) {
		return request('detail', data, 'get')
	}
}
