import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/productcode/element/` + url, ...arg)

/**
 * 产码配置元素表Api接口管理器
 *
 * @author luojun
 * @date  2024/08/31 16:14
 **/
export default {
	// 获取产码配置元素表分页
	productCodeConfigElementPage(data) {
		return request('page', data, 'get')
	},
	// 获取产码配置元素表列表
	productCodeConfigElementList(data) {
		return request('list', data, 'get')
	},
	// 提交产码配置元素表表单 edit为true时为编辑，默认为新增
	productCodeConfigElementSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除产码配置元素表
	productCodeConfigElementDelete(data) {
		return request('delete', data)
	},
	// 获取产码配置元素表详情
	productCodeConfigElementDetail(data) {
		return request('detail', data, 'get')
	},
	// 批量保存码元素
	productCodeConfigElementBatchSave(data) {
		return request('batchSave', data, 'post')
	}
}
