import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/productcode/packageconfig/` + url, ...arg)

/**
 * 产码码包配置Api接口管理器
 *
 * @author luojun
 * @date  2024/08/31 19:31
 **/
export default {
	// 获取产码码包配置分页
	productCodePackageConfigPage(data) {
		return request('page', data, 'get')
	},
	// 获取产码码包配置列表
	productCodePackageConfigList(data) {
		return request('list', data, 'get')
	},
	// 提交产码码包配置表单 edit为true时为编辑，默认为新增
	productCodePackageConfigSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除产码码包配置
	productCodePackageConfigDelete(data) {
		return request('delete', data)
	},
	// 获取产码码包配置详情
	productCodePackageConfigDetail(data) {
		return request('detail', data, 'get')
	}
}
