import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/productcode/scheme/` + url, ...arg)
const requestCode = (url, ...arg) => baseRequest(`/productcode/controller/` + url, ...arg)

/**
 * 产码方案Api接口管理器
 *
 * @author luojun
 * @date  2024/08/31 10:25
 **/
export default {
	// 获取产码方案分页
	productCodeSchemePage(data) {
		return request('page', data, 'get')
	},
	// 提交产码方案表单 edit为true时为编辑，默认为新增
	productCodeSchemeSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除产码方案
	productCodeSchemeDelete(data) {
		return request('delete', data)
	},
	// 获取产码方案详情
	productCodeSchemeDetail(data) {
		return request('detail', data, 'get')
	},
	// 产码生成
	productCodeSchemeProduce(data) {
		return requestCode('produce', data, 'get', {
			responseType: 'blob'
		})
	}
}
