/**
 *  Copyright [2022] [https://www.xiaonuo.vip]
 *	Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *	1.请不要删除和修改根目录下的LICENSE文件。
 *	2.请不要删除和修改Snowy源码头部的版权声明。
 *	3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 *	4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 *	5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 *	6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
import configApi from '@/api/dev/configApi'
import { message } from 'ant-design-vue'

const formData = ref({
	SNOWY_SYS_LOGO: '',
	SNOWY_SYS_BACK_IMAGE: '',
	SNOWY_SYS_NAME: '博溯星数智工厂',
	SNOWY_SYS_VERSION: 'V0.0.1',
	SNOWY_SYS_COPYRIGHT: 'Copyright © 2024 博溯星（广州）数字科技有限公司. 保留版权所有：粤ICP备2024274790号-1',
	SNOWY_SYS_COPYRIGHT_URL: 'https://beian.miit.gov.cn/#/Integrated/index',
	SNOWY_SYS_DEFAULT_FILE_ENGINE: 'LOCAL',
	SNOWY_SYS_DEFAULT_CAPTCHA_OPEN: false,
	SNOWY_SYS_DEFAULT_PASSWORD: '',
	SNOWY_SYS_DEFAULT_DESCRRIPTION:
		'博溯星(广州)数字科技有限公司·是一家基于丰富的数字化信息系统技术研发及工程实践经验的追溯数字化解决方案提供商，依靠自主研发的物联网数字技术，博溯星为农产品、快消品、工业品等行业客户提供“区块链+一物一码”数字化解决方案，通过采集真实、追溯可验证的商品唯一码数据，打通供应链、连接终端，触达消费者，帮助企业构建全产业链数字化体系。'
})

const param = {
	category: 'SYS_BASE'
}

const getSysBaseConfig = () => {
	configApi.configList(param).then((data) => {
		if (data) {
			data.forEach((item) => {
				formData.value[item.configKey] = item.configValue ? '' : item.configValue
			})
		} else {
			message.warning('表单项不存在，请初始化数据库')
		}
	})
}
