import { required } from '@/utils/formRules'
import tool from '@/utils/tool'

export const formRules = {
	name: [required('请输入名称')],
	type: [required('请输入类型')],
	appid: [required('请输入AppID')],
	secret: [required('请输入AppSecret')]
}

export const brandFormItems = reactive([
	{
		label: '名称：',
		name: 'name',
		type: 'a-input',
		span: 6,
		attrs: {
			placeholder: '请输入名称',
			allowClear: true
		}
	},
	{
		label: '编码：',
		name: 'number',
		type: 'a-input',
		span: 6,
		attrs: {
			placeholder: '请输入编码',
			allowClear: true
		}
	},
	{
		label: '简称：',
		name: 'shortName',
		type: 'a-input',
		span: 6,
		attrs: {
			placeholder: '请输入简称',
			allowClear: true
		}
	},
	{
		label: '所属企业：',
		name: 'company',
		type: 'a-input',
		span: 6,
		attrs: {
			placeholder: '请输入所属企业',
			allowClear: true
		}
	},
	{
		label: '公众号：',
		name: 'officialAccountId',
		type: 'a-select',
		span: 6,
		attrs: {
			placeholder: '请输入公众号',
			options: [],
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{
		label: '启用状态：',
		name: 'enabledState',
		type: 'a-select',
		span: 6,
		attrs: {
			placeholder: '请选择启用状态',
			options: tool.dictList('COMMON_STATUS')
		},
		defaultValue: 'ENABLE'
	},
	{
		label: '备注：',
		name: 'remarks',
		type: 'a-textarea',
		span: 24,
		attrs: {
			placeholder: '请输入备注',
			allowClear: true
		}
	}
])
