import { required } from '@/utils/formRules'

export const drawerForm = reactive([
	{
		label: '编码：',
		name: 'number',
		type: 'a-input-number',
		span: 12,
		attrs: {
			placeholder: '请输入编码',
			allowClear: true
		}
	},
	{
		label: '名称：',
		name: 'name',
		type: 'a-input',
		span: 12,
		attrs: {
			placeholder: '请输入名称',
			allowClear: true
		}
	},
	{
		label: '上级客户：',
		name: 'parentId',
		type: 'a-tree-select',
		span: 12,
		attrs: {
			placeholder: '请选择上级客户',
			treeData: [],
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	}
])

export const formRules = {
	name: [required('请输入名称')],
	parentId: [required('请选择上级')]
}
