import { required } from '@/utils/formRules'

export const drawerForm = reactive([
	{
		label: '名称：',
		name: 'name',
		type: 'a-input',
		span: 12,
		attrs: {
			placeholder: '请输入名称',
			allowClear: true
		}
	},
	{
		label: '编码：',
		name: 'number',
		type: 'a-input',
		span: 12,
		isUseSlot: true,
		slotName: 'numberSlot',
		attrs: {
			placeholder: '请输入编码',
			allowClear: true
		}
	},
	{
		label: '上级分类：',
		name: 'parentId',
		type: 'a-tree-select',
		span: 12,
		attrs: {
			placeholder: '请选择上级客户',
			allowClear: true,
			treeData: [],
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{
		label: '排序码：',
		name: 'sortCode',
		type: 'a-input-number',
		span: 12,
		attrs: {
			placeholder: '请输入排序码',
			allowClear: true
		},
		defaultValue: 10
	}
])

export const formRules = {
	name: [required('请输入名称')],
	parentId: [required('请选择上级')]
}
