import { required } from '@/utils/formRules'
import tool from '@/utils/tool'

export const unitFormItems = reactive([
	{
		label: '名称：',
		name: 'name',
		type: 'a-input',
		span: 6,
		attrs: {
			placeholder: '请输入名称',
			allowClear: true
		}
	},
	{
		label: '编码：',
		name: 'number',
		type: 'a-input-number',
		span: 6,
		attrs: {
			placeholder: '请输入编码',
			allowClear: true
		}
	},
	{
		label: '单位组：',
		name: 'unitGroupId',
		type: 'a-select',
		span: 6,
		attrs: {
			placeholder: '请选择可用状态',
			options: [],
			fieldNames: {
				label: 'name',
				value: 'id'
			}
		},
		defaultValue: ''
	},
	{
		label: '换算率：',
		name: 'rate',
		type: 'a-input-number',
		span: 6,
		attrs: {
			placeholder: '请输入换算率',
			allowClear: true,
			min: 1,
			precision: 0
		}
	},
	{
		label: '是否基本单位：',
		name: 'isBase',
		type: 'a-select',
		span: 6,
		attrs: {
			placeholder: '请选择是否基本单位',
			options: tool.dictList('YES_NO')
		},
		defaultValue: 'NO'
	},
	{
		label: '可用状态：',
		name: 'enabledState',
		type: 'a-select',
		span: 6,
		attrs: {
			placeholder: '请选择可用状态',
			options: tool.dictList('COMMON_STATUS')
		},
		defaultValue: 'ENABLE'
	},
	{
		label: '备注：',
		name: 'remarks',
		type: 'a-textarea',
		span: 24,
		attrs: {
			placeholder: '请输入备注',
			allowClear: true
		}
	}
])

export const formRules = {
	unitGroupId: [required('请选择单位')],
	name: [required('请输入名称')],
	rate: [required('请输入换算率')],
	isBase: [required('请选择是否基本单位')]
}
