import tool from '@/utils/tool'
import { required } from '@/utils/formRules'

export const drawerForm = reactive([
	{
		label: '编码：',
		name: 'number',
		type: 'a-input-number',
		span: 12,
		attrs: {
			placeholder: '请输入编码',
			allowClear: true
		}
	},
	{
		label: '名称：',
		name: 'name',
		type: 'a-input',
		span: 12,
		attrs: {
			placeholder: '请输入名称',
			allowClear: true
		}
	},
	{
		label: '可用状态：',
		name: 'enabledState',
		type: 'a-select',
		span: 12,
		attrs: {
			placeholder: '请选择可用状态',
			options: tool.dictList('COMMON_STATUS')
		},
		defaultValue: 'ENABLE'
	}
])

export const formRules = {
	name: [required('请输入名称')],
	enabledState: [required('请输入状态')]
}
