import tool from '@/utils/tool'

export const codeProduction = [
	{
		title: '序号',
		dataIndex: 'index',
		width: 80,
		resizable: true,
		align: 'center'
	},
	{
		title: '条码类型',
		dataIndex: 'barcodeValue',
		width: 240,
		resizable: true,
		align: 'center'
	},
	{
		title: '条码长度',
		dataIndex: 'barcodeLength',
		width: 240,
		editable: true,
		resizable: true,
		align: 'center'
	},
	{
		title: '内码长度',
		dataIndex: 'barcodeInteriorLength',
		width: 240,
		editable: true,
		resizable: true,
		align: 'center'
	},
	{
		title: '操作',
		dataIndex: 'action',
		align: 'center',
		width: 160,
		fixed: 'right'
	}
]

export const packetColumn = [
	{
		title: '序号',
		dataIndex: 'index',
		width: 80,
		align: 'center'
	},
	{
		title: '码包配置名称',
		dataIndex: 'name',
		width: 160,
		editable: true,
		resizable: true,
		align: 'center'
	},
	{
		title: '条码类型',
		dataIndex: 'productCodeConfigLabel',
		width: 160,
		editable: true,
		editorType: 'a-select',
		attrs: {
			options: []
		},
		resizable: true,
		align: 'center'
	},
	{
		title: '导出格式',
		dataIndex: 'exportFormat',
		width: 160,
		editable: true,
		editorType: 'a-select',
		attrs: {
			options: []
		},
		resizable: true,
		align: 'center'
	},
	{
		title: '条码前缀',
		dataIndex: 'barcodePrefix',
		width: 160,
		editable: true,
		resizable: true,
		align: 'center'
	},
	{
		title: '内码前缀',
		dataIndex: 'barcodeInteriorPrefix',
		width: 160,
		editable: true,
		resizable: true,
		align: 'center'
	},
	{
		title: '导出格式示例',
		dataIndex: 'exportFormatExample',
		width: 160,
		editable: true,
		resizable: true,
		align: 'center'
	},
	{
		title: '操作',
		dataIndex: 'action',
		width: 160,
		fixed: 'right',
		align: 'center'
	}
]

export const codeElementColumn = [
	{
		title: '序号',
		dataIndex: 'index',
		resizable: true,
		width: 80,
		align: 'center'
	},
	{
		title: '码元素值',
		dataIndex: 'elementValue',
		width: 240,
		editable: true,
		editorType: 'a-input',
		resizable: true,
		align: 'center'
	},
	{
		title: '元素长度',
		dataIndex: 'elementLength',
		width: 240,
		editable: true,
		editorType: 'a-input-number',
		align: 'center',
		resizable: true
	},
	{
		title: '产码规则',
		dataIndex: 'productCodeRule',
		width: 240,
		editable: true,
		editorType: 'a-select',
		attrs: {
			options: tool.dictList('MYSGZ')
		},
		align: 'center',
		resizable: true
	},
	/*{
		title: '备注',
		dataIndex: 'remarks',
		width: 120,
		align: 'center',
		resizable: true
	},*/
	{
		title: '操作',
		dataIndex: 'action',
		slot: 'action',
		width: 200,
		align: 'center',
		resizable: true,
		fixed: 'right'
	}
]

export const regionColumn = [
	{
		title: '产码生成数量',
		dataIndex: 'exportNumber',
		align: 'center',
		resizable: true,
		width: 300,
		ellipsis: true
	},
	{
		title: '下载次数',
		dataIndex: 'downloadCount',
		align: 'center',
		resizable: true,
		width: 300,
		ellipsis: true
	},
	{
		title: '最后一次下载时间',
		dataIndex: 'downloadTime',
		align: 'center',
		resizable: true,
		width: 300,
		ellipsis: true
	},
	{
		title: '创建人',
		dataIndex: 'createUserName',
		align: 'center',
		resizable: true,
		width: 300,
		ellipsis: true
	},
	{
		title: '创建时间',
		dataIndex: 'createTime',
		sorter: true,
		sortDirections: ['descend', 'ascend'],
		align: 'center',
		resizable: true,
		width: 300,
		ellipsis: true
	}
]
