import tool from '@/utils/tool'
import { required } from '@/utils/formRules'

export const codeElementFormFields = reactive([
	{
		label: '条码类型：',
		name: 'barcodeValue',
		type: 'a-select',
		span: 12,
		attrs: {
			placeholder: '请选择条码类型',
			options: tool.dictList('MATERIAL_PACKAGE_TYPE')
		}
	},
	{
		label: '条码长度：',
		name: 'barcodeLength',
		type: 'a-input-number',
		span: 12,
		attrs: {
			placeholder: '请输入条码长度',
			allowClear: true
		}
	},
	{
		label: '内码长度：',
		name: 'barcodeInteriorLength',
		type: 'a-input-number',
		span: 12,
		attrs: {
			placeholder: '请输入内码长度',
			allowClear: true
		}
	}
])

export const formRules = {
	barcodeValue: [required('请选择条码类型')],
	barcodeInteriorLength: [required('请输入内码长度')],
	barcodeLength: [required('请输入条码长度')],
}
