import tool from '@/utils/tool'
import { required } from '@/utils/formRules'

export const packetConfigFormFields = reactive([
	{
		label: '码包配置名称：',
		name: 'name',
		type: 'a-input',
		span: 12,
		attrs: {
			placeholder: '请输入码包配置名称'
		}
	},
	{
		label: '条码类型：',
		name: 'productCodeConfigId',
		type: 'a-select',
		span: 12,
		attrs: {
			placeholder: '请选择条码类型',
			options: [],
			fieldNames: {
				label: 'barcodeLabel',
				value: 'id'
			}
		}
	},
	{
		label: '导出格式：',
		name: 'exportFormat',
		type: 'a-select',
		span: 12,
		attrs: {
			placeholder: '请选择导出格式',
			options: tool.dictList('DCGS')
		}
	},
	{
		label: '条码前缀：',
		name: 'barcodePrefix',
		type: 'a-input',
		span: 12,
		attrs: {
			placeholder: '请输入条码前缀',
			allowClear: true
		}
	},
	{
		label: '内码前缀：',
		name: 'barcodeInteriorPrefix',
		type: 'a-input',
		span: 12,
		attrs: {
			placeholder: '请输入内码前缀',
			allowClear: true
		}
	}
])

export const formRules = {
	name: [required('请输入码包配置名称')],
	productCodeConfigId: [required('请选择条码类型')],
	exportFormat: [required('请选择导出格式')]
}
