import tool from '@/utils/tool'
import { required } from '@/utils/formRules'

export const drawerForm = reactive([
	{
		label: '打印模版：',
		name: 'templateId',
		type: 'a-select',
		span: 8,
		attrs: {
			placeholder: '请选择打印模版',
			allowClear: true,
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{
		label: '收货数量：',
		name: 'harvestNumber',
		type: 'a-input',
		span: 8,
		attrs: {
			placeholder: '请输入收货数量',
			allowClear: true
		}
	},
	{
		label: '单位：',
		name: 'unitId',
		type: 'a-select',
		span: 8,
		attrs: {
			placeholder: '请选择单位',
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{
		label: '标签数（张）：',
		name: 'printNumber',
		type: 'a-input-number',
		span: 8,
		attrs: {
			placeholder: '请输入标签数',
			treeData: [],
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			},
			disabled: true
		}
	},
	{
		label: '标准包装数量：',
		name: 'standardPackageNumber',
		type: 'a-input-number',
		span: 8,
		attrs: {
			placeholder: '请输入标准包装数量',
			treeData: [],
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{
		label: '包装：',
		name: 'materialPackageId',
		type: 'a-select',
		span: 8,
		attrs: {
			placeholder: '请选择包装',
			treeData: [],
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{
		label: '包装单位：',
		name: 'packageUnit',
		type: 'a-tree-select',
		span: 8,
		attrs: {
			placeholder: '请选择包装单位',
			treeData: [],
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			},
			disabled: true
		}
	},
	{
		label: '二维码规则：',
		name: 'packageConfigId',
		type: 'a-select',
		span: 8,
		attrs: {
			placeholder: '请选择二维码规则',
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{
		label: '生产日期：',
		name: 'productionTime',
		type: 'a-date-picker',
		span: 8,
		attrs: {
			placeholder: '请输入生产日期',
			allowClear: true,
			valueFormat: 'YYYY-MM-DD HH:mm:ss'
		}
	},
	{
		label: '失效日期：',
		name: 'failureTime',
		type: 'a-date-picker',
		span: 8,
		attrs: {
			placeholder: '请输入失效日期',
			allowClear: true,
			valueFormat: 'YYYY-MM-DD HH:mm:ss'
		}
	},

	{
		label: '批次：',
		name: 'batch',
		type: 'a-input',
		span: 8,
		attrs: {
			placeholder: '请输入批次'
		}
	}
])

export const formRules = {
	name: [required('请输入名称')],
	parentId: [required('请选择上级物料')]
}
