import { required } from '@/utils/formRules'
import tool from '@/utils/tool'

export const unitFormItems = reactive([
	{
		label: '单号：',
		name: 'billNumber',
		type: 'a-input-number',
		span: 6,
		attrs: {
			placeholder: '请输入编码',
			allowClear: true
		}
	},
	{
		label: '业务日期：',
		name: 'businessDate',
		type: 'a-date-picker',
		span: 6,
		attrs: {
			placeholder: '请输入业务日期',
			allowClear: true,
			valueFormat: 'YYYY-MM-DD HH:mm:ss'
		}
	},
	{
		label: '状态：',
		name: 'state',
		type: 'a-select',
		span: 6,
		attrs: {
			placeholder: '请选择可用状态',
			options: tool.dictList('PRODUCE_REPORT_STATE')
		},
		defaultValue: ''
	},
	{
		label: '类型：',
		name: 'produceType',
		type: 'a-select',
		span: 6,
		attrs: {
			options: tool.dictList('PRODUCE_TYPE')
		}
	},
	{
		label: '生产线：',
		name: 'productionLineName',
		type: 'a-select',
		span: 6,
		attrs: {
			placeholder: '请选择是否基本单位',
			options: tool.dictList('YES_NO')
		},
		defaultValue: 'NO'
	},
	{
		label: '备注：',
		name: 'remarks',
		type: 'a-textarea',
		span: 24,
		attrs: {
			placeholder: '请输入备注',
			allowClear: true
		}
	}
])

export const formRules = {}
