import tool from '@/utils/tool'
import { required } from '@/utils/formRules'

export const basicInfoFormItems = [
	{
		label: '单据号：',
		name: 'billNumber',
		type: 'a-input',
		attrs: {
			placeholder: '请输入单号',
			allowClear: true
		}
	},
	{
		label: '计划开工日期：',
		name: 'producePlanDate',
		type: 'a-date-picker',
		attrs: {
			placeholder: '请输入计划开工日期',
			allowClear: true,
			valueFormat: 'YYYY-MM-DD HH:mm:ss'
		}
	},
	{
		label: '生产类型：',
		name: 'produceType',
		type: 'a-select',
		attrs: {
			placeholder: '请输入生产类型',
			allowClear: true,
			options: tool.dictList('PRODUCE_TYPE')
		}
	},
	{
		label: '产品(物料)：',
		name: 'productName',
		type: 'a-input',
		isUseSlot: true,
		slotName: 'productNameSlot',
		attrs: {
			placeholder: '请输入物料'
		}
	},
	{
		label: '批次：',
		name: 'batchNumber',
		type: 'a-input',
		attrs: {
			placeholder: '请输入批次',
			allowClear: true
		}
	},
	{
		label: '计划生产数量：',
		name: 'producePlanAmount',
		type: 'a-input-number',
		attrs: {
			placeholder: '请输入计划生产数量',
			allowClear: true
		}
	},
	{
		label: '生产单位：', // 采购单位
		name: 'produceUnitName',
		isUseSlot: true,
		slotName: 'produceUnitNameSlot',
		attrs: {
			placeholder: '请选择生产单位',
			allowClear: true,
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{
		label: '基本单位：',
		name: 'baseUnitName',
		isUseSlot: true,
		slotName: 'baseUnitNameSlot',
		attrs: {
			placeholder: '请选择基本单位',
			allowClear: true,
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			},
			disabled: true
		}
	},
	{
		label: '生产线：',
		name: 'productionLineName',
		isUseSlot: true,
		slotName: 'productionLineNameSlot',
		attrs: {
			placeholder: '请选择生产线',
			allowClear: true
		}
	},
	{
		label: '备注：',
		name: 'remarks',
		type: 'a-textarea',
		span: 24,
		attrs: {
			placeholder: '请输入备注',
			allowClear: true
		}
	}
]
